API Reference

begin opportunity draft edit

Pause pending automatic work before editing the opportunity draft. Read get_opportunity for the current revision. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.

POST
/agent/v1/growth/begin-opportunity-draft-edit

Pause pending automatic work before editing the opportunity draft. Read get_opportunity for the current revision. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.

Authorization

AuthorizationBearer <token>

Rankhog organization API key sent as Authorization: Bearer rhog_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/v1/growth/begin-opportunity-draft-edit" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "org_demo",    "websiteId": "site_demo",    "managedRedditAccountId": "mra_demo",    "idempotencyKey": "growth-request-1",    "opportunityId": "opp_demo"  }'
{  "status": "updated",  "jobId": null}
{  "error": {    "code": "agentic_invalid_input",    "message": "Invalid capability input."  }}
{  "error": {    "code": "agentic_unauthorized",    "message": "Authentication is required."  }}
{  "error": {    "code": "agentic_paid_plan_required",    "message": "An active paid product is required."  }}
{  "error": {    "code": "agentic_missing_scope",    "message": "The required permission has not been granted."  }}
{  "error": {    "code": "agentic_website_not_found",    "message": "Product not found."  }}
{  "error": {    "code": "agentic_idempotency_conflict",    "message": "This idempotency key was already used with different input."  }}
{  "error": {    "code": "agentic_write_rate_limited",    "message": "Growth mutations are limited to 120 per actor and organization per hour."  }}